Re: [R] Problem installing RGTK2 on ubuntu 7.04

From: Dirk Eddelbuettel <edd_at_debian.org>
Date: Fri, 29 Jun 2007 23:19:50 -0500

On 29 June 2007 at 23:11, Andrew Muller wrote:
| I am trying to install RGTK2 on my Ubuntu 7.04 system. The installation
| fails with a message that RGtk2 requires GTK 2.8. As far as I can tell I
| have GTK+ 2.10.11 installed. Can anyone suggest a way to proceed?

Something is not right in your example below. Do you have the required -dev packages installed? For Debian's r-cran-rgtk2 (which you could install from Ubuntu, albeit in a slightly older version, via 'sudo apt-get install r-cran-rgtk2'), I use the following Build-Depends:

  libgtk2.0-dev (>= 2.10.12-1), libglade2-dev, libpango1.0-dev, libcairo2-dev  

If you have all that installed, it should just work fine (and I do use the direct-from-CRAN method on my computers at work, and have just upgraded RGtk2 there a few days ago).

| I am using R version 2.4.1 (2006-12-18) on a Ubuntu 7.04 system

FYI there are Ubuntu backports at CRAN. You could get R 2.5.0 without any effort, and presumably in a few days R 2.5.1 once the porters build the package as I've put 2.5.1 into Debian.

Hth, Dirk

-- 
Hell, there are no rules here - we're trying to accomplish something. 
                                                  -- Thomas A. Edison

______________________________________________
R-help_at_stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Received on Sat 30 Jun 2007 - 04:24:28 GMT

Archive maintained by Robert King, hosted by the discipline of statistics at the University of Newcastle, Australia.
Archive generated by hypermail 2.2.0, at Sat 30 Jun 2007 - 04:32:29 GMT.

Mailing list information is available at https://stat.ethz.ch/mailman/listinfo/r-help. Please read the posting guide before posting to the list.